%global vagrant_plugin_name vagrant-guest-cygwin

Name: %{vagrant_plugin_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Vagrant plugin for cygwin guest support
License: MIT
URL: https://github.com/zzambers/%{vagrant_plugin_name}
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

Requires: vagrant >= 1.9.1
BuildRequires: ruby(release)
BuildRequires: vagrant >= 1.9.1
BuildRequires: rubygems-devel
BuildRequires: rubygem(rdoc)
BuildArch: noarch
Provides: vagrant(%{vagrant_plugin_name}) = %{version}

%description
This is plugin for vagrant which adds support for cygwin guests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -b 0 -q -n %{vagrant_plugin_name}-%{version}

%build
gem build ../%{vagrant_plugin_name}-%{version}.gemspec
%vagrant_plugin_install

%install
mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
        %{buildroot}%{vagrant_plugin_dir}/

%files
%dir %{vagrant_plugin_instdir}
%license %{vagrant_plugin_instdir}/LICENSE
%{vagrant_plugin_libdir}
%exclude %{vagrant_plugin_cache}
%{vagrant_plugin_spec}
%exclude %{vagrant_plugin_instdir}/.gitignore

%files doc
%license %{vagrant_plugin_instdir}/LICENSE
%doc %{vagrant_plugin_docdir}
%{vagrant_plugin_instdir}/Gemfile
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/Rakefile
%{vagrant_plugin_instdir}/vagrant-guest-cygwin.gemspec

%changelog
* Wed Jun 21 2023 Zdeněk Žamberský <zzambers@redhat.com> - 0.1.1-1
- Initial package
